//
//  MVMineViewModel.swift
//  MusicVideoPlus
//
//  Created by SanW on 2021/6/22.
//

import BFFramework
import UIKit

class MVMineViewModel: NSObject {
    
    /// 分页获取我的视频
    /// - Parameters:
    ///   - pageNum: 第几页
    ///   - pageSize: 一页多少
    ///   - completeHander: <#completeHander description#>
    class func userVideoListData(pageNum: Int = 1, pageSize: Int = 20, completeHander: @escaping (_ videoLists: [PQVideoListModel]?, _ msg: String?) -> Void) {
        SWNetRequest.postRequestData(url: PQENVUtil.shared.clipapiapi + userVideoListUrl, parames: ["pageNum": pageNum, "pageSize": pageSize]) { response, _, error, _ in
            if response is NSNull || response == nil {
                completeHander(nil, error?.msg)
            } else {
                let temResponseArr: [[String: Any]]? = response as? [[String: Any]]
                if temResponseArr != nil, (temResponseArr?.count ?? 0) > 0 {
                    var videoLists = Array<PQVideoListModel>.init()
                    temResponseArr?.forEach { dic in
                        let tempModel = PQVideoListModel(jsonDict: dic)
                        let userInfo = PQUserInfoModel.init()
                        userInfo.nickName = BFLoginUserInfo.shared.nickName
                        tempModel.userInfo = userInfo
                        videoLists.append(tempModel)
                    }
                    completeHander(videoLists, error?.msg)
                } else {
                    completeHander(nil, error?.msg)
                }
            }
        }
    }
}
